Subject: PowerGlove

From: "Steve Abiog" <[email-masked]>
Date: 31 Mar 94 08:23:34

Hi...
Can anybody offer any suggestions on why the PowerGlove would not
select any object? Hooked up the Glove in accordance with the book.
Got it to respond to all finger movements but it just would not
select any object. When I select an object with the mouse, the
object will get "deselected" as soon as I make the Glove to "point"
even if it is not actually pointing at the selected object. The
Glove is plugged into port LPT1 and had to change the address from
the default 0378H to 0278H.
Thanks for any help.

---

From: Chris Hand <[email-masked]>
Date: Tue, 5 Apr 94 11:25:22 BST

Steve Abiog said:
> select any object?

One of the problems with the demo as it comes is that it uses the same
posture for selecting and de-selecting objects.  This makes it very
easy to select something (it becomes highlighted) and de-select it
(it becomes un-highlighted) almost immediately, so you don't see any change.

Another problem is that visibility errors give you false information about
where your hand actually is.  For example, in the rooms demo, the
room with the lamp and table/ball always gives very bad vis. errors
(for me anyway) and the hand appears behind the ball etc. even though it's way
in front.

This doesn't seem to happen outside that room, eg. where the rotating sculpture
is, so I'd recommend practising on that.  Whenever I use REND386 for a demo
I keep out of that lamp/table/ball room!

Of course, a proper solution would be to hack the source code to use
different postures for select and de-select.

Chris

-- 
Chris Hand, Lecturer                      | Dept of Computing Science,
Internet e-mail: [email-masked]            | De Montfort University, The Gateway 
 "In Cyberspace nobody knows you're bald" | LEICESTER, UK   LE1 9BH            
WWW: <A HREF="http://www.cms.dmu.ac.uk:9999/People/cph/cphroot.html">cph</A>